# Get usage (/data-api/api-reference/getEnergyUsage)

Returns usage data for all service points associated with the end user

## GET /v1/energy/usage

**Get usage**

Returns usage data for all service points associated with the end user

**Tags:** Usage

### Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `end_user_id` | query | string | Yes | A unique identifier for the End User object. |
| `service_point_id` | query | string | No | A unique identifier for the Service Point object. |
| `read_start_date.oldest` | query | string | No | The start date, in yyyy-mm-dd format, from which the usage data is requested. |
| `read_start_date.newest` | query | string | No | The end date, in yyyy-mm-dd format, up to which the usage data is requested. |
| `page[before]` | query | string | No | When the page[before] is specified, backwards pagination is achieved |
| `page[after]` | query | string | No | When the page[after] is specified, forwards pagination is achieved |
| `page[size]` | query | integer | No | When the page[size] is specified, no more than page[size] resources will be included in the response's data field. This parameter is set to a sensible default, which varies depending on the endpoint. It is capped at 1000. |

### Responses

**200:** OK

| Field | Type | Description |
|-------|------|-------------|
| `usage` | github_com_fiskil_energy_v2_internal_http_handler_energy.Usage[] | List of energy usage reads for the end user |
| `links` | object | Links to be used for pagination |

**400:** Bad Request

| Field | Type | Description |
|-------|------|-------------|
| `id` | string |  |
| `message` | string |  |
| `name` | string |  |

**500:** Internal Server Error

| Field | Type | Description |
|-------|------|-------------|
| `id` | string |  |
| `message` | string |  |
| `name` | string |  |

### Example Request
```bash
curl -X GET "https://api.fiskil.com/v1/energy/usage" \
  -H "Authorization: Bearer YOUR_TOKEN"
```